Subject: Re: bug#43513: json-c build failure (on armhf-linux) while trying to build u-boot

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 30 Sep 2020 13:27:54 +0200

Hi Ludo,

On Wed, 30 Sep 2020 11:10:17 +0200
Ludovic Courtès <[email-masked]> wrote:

> Danny Milosavljevic <[email-masked]> skribis:
> 
> > On Tue, 29 Sep 2020 12:25:54 +0200
> > Ludovic Courtès <[email-masked]> wrote:

> > Sure, but I want to know what happens to json-c.  That sounds like a lot of
> > manual invocations (like about 20000--for invocations of "configure", "gcc",
> > including all the dependencies etcetc).  
> 
> Do we know which bit of json-c’s ‘configure’ draws an incorrect
> conclusion?

At least I don't.  I don't even have a homedir on dover.guix.info, so I cannot
run guix pull, guix describe, or really anything that is interesting on there.

Andreas knows maybe--it works for him.

> > while setting up the build environment: executing `/gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash': No such file or directory  
> 
> That’s to little context for me to say much (I’d need to see the command
> at least) but it could be that it’s trying to run i686 code on ARM or
> similar.

Note that /gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash is an i686 executable
on dover.

Running it just like this

  /gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash

it works there on dover!

In order to reproduce the problem, you can log into dover.guix.info and then
run

  guix build -s i686-linux json-c

.

Andreas knows more and can do much more on that machine.